/* acrostic-answer-list-row.h
 *
 * Copyright 2025 Tanmay Patil <tanmaynpatil105@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */


#pragma once

#include <gio/gio.h>


G_BEGIN_DECLS

#define ACROSTIC_TYPE_ANSWER_LIST_ROW (acrostic_answer_list_row_get_type())
G_DECLARE_FINAL_TYPE (AcrosticAnswerListRow, acrostic_answer_list_row, ACROSTIC, ANSWER_LIST_ROW, GObject);


AcrosticAnswerListRow *acrostic_answer_list_row_new          (const gchar           *answer,
                                                              gboolean               selected);
void                   acrostic_answer_list_set_answer       (AcrosticAnswerListRow *self,
                                                              const gchar           *answer);
void                   acrostic_answer_list_row_set_selected (AcrosticAnswerListRow *self,
                                                              gboolean               selected);
const gchar           *acrostic_answer_list_row_get_answer   (AcrosticAnswerListRow *self);
gboolean               acrostic_answer_list_row_get_selected (AcrosticAnswerListRow *self);


G_END_DECLS
